### Function

# RB file_find_extant_parent

#### Declaration [src]

    GFile*
    rb_file_find_extant_parent (
      GFile* file
    )

#### Description [src]

Walks up the filesystem hierarchy to find a `GFile` representing the nearest extant ancestor of the specified file, which may be the file itself if it exists.

#### Parameters

`file`

  Type: `GFile`

  A `GFile` to find an extant ancestor of.

  The data is owned by the caller of the function.

#### Return value

Type: `GFile`

`GFile` for the nearest extant ancestor.

The caller of the function takes ownership of the data, and is responsible for freeing it.